=== debian/changelog ===
zint (2.8.0-1) unstable; urgency=low

  * Initial release (Closes: #732141).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 17 May 2020 23:28:08 +1000
