=== debian/control ===
Source: zint
Section: graphics
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: Jakob Haufe <sur5r@debian.org>
Build-Depends: debhelper-compat (= 12)
    ,cmake
    ,libpng-dev
    ,qtbase5-dev
    ,qttools5-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/zint
Vcs-Git: https://salsa.debian.org/debian/zint.git
Homepage: https://sourceforge.net/projects/zint/
Rules-Requires-Root: no

Package: zint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line utility to encode data in barcode symbols
 Zint is a barcode encoding and image generating library. It currently
 features support for over 50 symbologies including Australian Post
 4-state codes (redirect, reply-paid, routing, standard customer),
 Aztec Code (ISO 24778), Aztec Runes, Channel code, Codabar, Code 11,
 Code 128 (ISO 15417), Code 16k, Code 2 of 5 (Data Logic, IATA,
 Industrial, Interleaved, Matrix), Code 32 (Italian Pharmacode), Code
 39 (ISO 16388), Code 39 Extended, Code 49, Code 93, Code One, Databar
 (Expanded, Expanded Stacked, Limited, Stacked Omnidirectional), Data
 Matrix (ISO 16022), Deutsche Post (Identicode, Leitcode), Dutch Post
 KIX, EAN-14, European Article Number (EAN), Facing Identification
 Mark (FIM), Flattermarken, Grid Matrix, ITF-14, International Standard
 Book Number (ISBN), Japanese Postal Barcode, Korean Postal Barcode,
 LOGMARS, Maxicode (ISO 16023), MicroPDF417 (ISO 24728), Micro QR
 Code, MSI Plessey, NVE-18, PDF417 (ISO 15438), Pharmacode (2-track,
 Zentralnummer (PZN)), PLANET, Postnet, QR Code (ISO 18004), Royal
 Mail 4-state Barcode, Telepen, Telepen Numeric, UK Plessey, Universal
 Product Code (UPC-A, UPC-E), USPS Intelligent Mail as well as HIBC.
 .
 Also included are Unicode translation for symbologies which support
 Latin-1 and Kanji character sets, full GS1 data support including
 verification and automated insertion of FNC1 characters and support for
 encoding binary data including NULL (ASCII 0) characters.
 .
 This package contains Zint Barcode Generator (command-line utility).

Package: zint-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Zint Barcode Studio, a QT frontend to zint
 Zint is a barcode encoding and image generating library. It currently
 features support for over 50 symbologies including Australian Post
 4-state codes (redirect, reply-paid, routing, standard customer),
 Aztec Code (ISO 24778), Aztec Runes, Channel code, Codabar, Code 11,
 Code 128 (ISO 15417), Code 16k, Code 2 of 5 (Data Logic, IATA,
 Industrial, Interleaved, Matrix), Code 32 (Italian Pharmacode), Code
 39 (ISO 16388), Code 39 Extended, Code 49, Code 93, Code One, Databar
 (Expanded, Expanded Stacked, Limited, Stacked Omnidirectional), Data
 Matrix (ISO 16022), Deutsche Post (Identicode, Leitcode), Dutch Post
 KIX, EAN-14, European Article Number (EAN), Facing Identification
 Mark (FIM), Flattermarken, Grid Matrix, ITF-14, International Standard
 Book Number (ISBN), Japanese Postal Barcode, Korean Postal Barcode,
 LOGMARS, Maxicode (ISO 16023), MicroPDF417 (ISO 24728), Micro QR
 Code, MSI Plessey, NVE-18, PDF417 (ISO 15438), Pharmacode (2-track,
 Zentralnummer (PZN)), PLANET, Postnet, QR Code (ISO 18004), Royal
 Mail 4-state Barcode, Telepen, Telepen Numeric, UK Plessey, Universal
 Product Code (UPC-A, UPC-E), USPS Intelligent Mail as well as HIBC.
 .
 Also included are Unicode translation for symbologies which support
 Latin-1 and Kanji character sets, full GS1 data support including
 verification and automated insertion of FNC1 characters and support for
 encoding binary data including NULL (ASCII 0) characters.
 .
 This package contains Zint Barcode Studio, a QT frontend for the Zint
 barcode encoding library.

Package: libzint2.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for encoding data in barcode symbols
 Zint is a barcode encoding and image generating library. It currently
 features support for over 50 symbologies including Australian Post
 4-state codes (redirect, reply-paid, routing, standard customer),
 Aztec Code (ISO 24778), Aztec Runes, Channel code, Codabar, Code 11,
 Code 128 (ISO 15417), Code 16k, Code 2 of 5 (Data Logic, IATA,
 Industrial, Interleaved, Matrix), Code 32 (Italian Pharmacode), Code
 39 (ISO 16388), Code 39 Extended, Code 49, Code 93, Code One, Databar
 (Expanded, Expanded Stacked, Limited, Stacked Omnidirectional), Data
 Matrix (ISO 16022), Deutsche Post (Identicode, Leitcode), Dutch Post
 KIX, EAN-14, European Article Number (EAN), Facing Identification
 Mark (FIM), Flattermarken, Grid Matrix, ITF-14, International Standard
 Book Number (ISBN), Japanese Postal Barcode, Korean Postal Barcode,
 LOGMARS, Maxicode (ISO 16023), MicroPDF417 (ISO 24728), Micro QR
 Code, MSI Plessey, NVE-18, PDF417 (ISO 15438), Pharmacode (2-track,
 Zentralnummer (PZN)), PLANET, Postnet, QR Code (ISO 18004), Royal
 Mail 4-state Barcode, Telepen, Telepen Numeric, UK Plessey, Universal
 Product Code (UPC-A, UPC-E), USPS Intelligent Mail as well as HIBC.
 .
 Also included are Unicode translation for symbologies which support
 Latin-1 and Kanji character sets, full GS1 data support including
 verification and automated insertion of FNC1 characters and support for
 encoding binary data including NULL (ASCII 0) characters.
 .
 This package provides barcode generator library.

Package: libzint-dev
Section: libdevel
Architecture: any
Depends: libzint2.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Zint development files
 Zint is a barcode encoding and image generating library. It currently
 features support for over 50 symbologies including Australian Post
 4-state codes (redirect, reply-paid, routing, standard customer),
 Aztec Code (ISO 24778), Aztec Runes, Channel code, Codabar, Code 11,
 Code 128 (ISO 15417), Code 16k, Code 2 of 5 (Data Logic, IATA,
 Industrial, Interleaved, Matrix), Code 32 (Italian Pharmacode), Code
 39 (ISO 16388), Code 39 Extended, Code 49, Code 93, Code One, Databar
 (Expanded, Expanded Stacked, Limited, Stacked Omnidirectional), Data
 Matrix (ISO 16022), Deutsche Post (Identicode, Leitcode), Dutch Post
 KIX, EAN-14, European Article Number (EAN), Facing Identification
 Mark (FIM), Flattermarken, Grid Matrix, ITF-14, International Standard
 Book Number (ISBN), Japanese Postal Barcode, Korean Postal Barcode,
 LOGMARS, Maxicode (ISO 16023), MicroPDF417 (ISO 24728), Micro QR
 Code, MSI Plessey, NVE-18, PDF417 (ISO 15438), Pharmacode (2-track,
 Zentralnummer (PZN)), PLANET, Postnet, QR Code (ISO 18004), Royal
 Mail 4-state Barcode, Telepen, Telepen Numeric, UK Plessey, Universal
 Product Code (UPC-A, UPC-E), USPS Intelligent Mail as well as HIBC.
 .
 Also included are Unicode translation for symbologies which support
 Latin-1 and Kanji character sets, full GS1 data support including
 verification and automated insertion of FNC1 characters and support for
 encoding binary data including NULL (ASCII 0) characters.
 .
 This package contains development files for the Zint barcode encoding
 library and for the Qt wrapper over the Zint library.
