=== debian/watch ===
version=3

## http://qa.debian.org/watch/sf.php/zint

https://sf.net/zint/zint-(\d[-\d.]+)(?:\.src)?\.tar\.(?:gz|bz2|xz)
