## zint 2.9.0

=== debian/changelog ===
zint (2.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 17 Oct 2020 09:26:26 +1100
