=== debian/control ===
--- 
+++ 
@@ -73,7 +73,7 @@
  This package contains Zint Barcode Studio, a QT frontend for the Zint
  barcode encoding library.
 
-Package: libzint2.8
+Package: libzint2.9
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -106,7 +106,7 @@
 Package: libzint-dev
 Section: libdevel
 Architecture: any
-Depends: libzint2.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libzint2.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Zint development files
  Zint is a barcode encoding and image generating library. It currently
  features support for over 50 symbologies including Australian Post
