## zint 2.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #comment or remove the above line before release
 
 set (ZINT_VERSION_MAJOR 2)
-set (ZINT_VERSION_MINOR 8)
+set (ZINT_VERSION_MINOR 9)
 set (ZINT_VERSION_RELEASE 0)
 set (ZINT_VERSION "${ZINT_VERSION_MAJOR}.${ZINT_VERSION_MINOR}.${ZINT_VERSION_RELEASE}" )
