=== debian/changelog ===
zint (2.9.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix stack-based buffer overflow in ean_leading_zeroes (see CVE-2021-
    27799) (Closes: #983610)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 11 Mar 2021 12:37:31 -0600

zint (2.9.1-1) unstable; urgency=medium

  * New upstream release (Closes: #975161)
  * Bump Standards-Version
  * Mark libzint-dev Multi-Arch: same

 -- Jakob Haufe <sur5r@debian.org>  Fri, 04 Dec 2020 18:14:26 +0000
