=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
     ,libpng-dev
     ,qtbase5-dev
     ,qttools5-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/zint
 Vcs-Git: https://salsa.debian.org/debian/zint.git
 Homepage: https://sourceforge.net/projects/zint/
@@ -107,6 +107,7 @@
 Section: libdevel
 Architecture: any
 Depends: libzint2.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: Zint development files
  Zint is a barcode encoding and image generating library. It currently
  features support for over 50 symbologies including Australian Post
