=== debian/changelog ===
zint (2.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 01 Sep 2021 05:09:49 +1000
