=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
     ,libpng-dev
     ,qtbase5-dev
     ,qttools5-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/zint
 Vcs-Git: https://salsa.debian.org/debian/zint.git
 Homepage: https://sourceforge.net/projects/zint/
@@ -73,7 +73,7 @@
  This package contains Zint Barcode Studio, a QT frontend for the Zint
  barcode encoding library.
 
-Package: libzint2.9
+Package: libzint2.10
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -106,7 +106,7 @@
 Package: libzint-dev
 Section: libdevel
 Architecture: any
-Depends: libzint2.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libzint2.10 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: Zint development files
  Zint is a barcode encoding and image generating library. It currently
